Last Comment Bug 727167 - Firefox 10 needs update to official NSPR release 4.9
: Firefox 10 needs update to official NSPR release 4.9
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: General (show other bugs)
: 10 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Kai Engert (:kaie) (on vacation)
:
:
Mentors:
Depends on:
Blocks: 728617
  Show dependency treegraph
 
Reported: 2012-02-14 11:03 PST by Kai Engert (:kaie) (on vacation)
Modified: 2012-03-05 10:31 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
11+
fixed
wontfix


Attachments
Diffs between NSPR_4_9_BETA4 and NSPR_4_9_RTM (9.97 KB, patch)
2012-02-16 16:24 PST, Wan-Teh Chang
no flags Details | Diff | Splinter Review

Description Kai Engert (:kaie) (on vacation) 2012-02-14 11:03:49 PST
We made a mistake when shipping Firefox 10 and the Extended Support Release, because of an oversight.

We violated the rule "never ship NSPR beta versions in official releases of Mozilla" by shipping NSPR 4.9 beta

This can cause confusion, at least in Linux distributions, because as of now, there is no such 4.9 release on the FTP server.

Furthermore, it creates confusion if we release NSPR 4.9 and the release has different behavior.

I request that we upgrade the Firefox 10 branch to the next release of NSPR, such as NSPR 4.9

I hope that NSPR 4.9 will be fully compatible with the beta that has been shipped, although there is currently discussion in bug 699567 for a last minute change.

My preference would be to release the old beta as NSPR 4.9 final release, the identical snapshot that has been shipped in Firefox 10. This way it would be 100% sure that anyone downloading NSPR 4.9 will get exactly what we shipped in Firefox 10. It would be a way to avoid having to upgrade the Firefox 10 branch.

Should NSPR 4.9 final be released with code that is different from 4.9 beta, then we must upgrade the ff 10 branch.
Comment 1 Alex Keybl [:akeybl] 2012-02-16 16:09:57 PST
(In reply to Kai Engert (:kaie) from comment #0)
> Should NSPR 4.9 final be released with code that is different from 4.9 beta,
> then we must upgrade the ff 10 branch.

What's changed between these two versions that warrants switching out the NSPR version for our ESR users? We didn't chemspill for this oversight, so it's difficult to make the case for a rule being violated as motivation for taking on ESR.
Comment 2 Wan-Teh Chang 2012-02-16 16:24:56 PST
Created attachment 598056 [details] [diff] [review]
Diffs between NSPR_4_9_BETA4 and NSPR_4_9_RTM

akeybl: this is my fault.  Sorry about the problem I created.

The changes between NSPR_4_9_BETA4 (used in ESR) and NSPR_4_9_RTM
are very small, as this diffs file shows.
Comment 3 Alex Keybl [:akeybl] 2012-02-17 14:11:21 PST
(In reply to Wan-Teh Chang from comment #2)
> Created attachment 598056 [details] [diff] [review]
> Diffs between NSPR_4_9_BETA4 and NSPR_4_9_RTM
> 
> akeybl: this is my fault.  Sorry about the problem I created.
> 
> The changes between NSPR_4_9_BETA4 (used in ESR) and NSPR_4_9_RTM
> are very small, as this diffs file shows.

We don't plan to take NSPR release for FF10 as a chemspill, so is this bug just tracking taking NSPR 4.9 final for the next ESR? Is 4.9 now present in FF11?
Comment 4 Kai Engert (:kaie) (on vacation) 2012-02-17 15:03:56 PST
> We don't plan to take NSPR release for FF10 as a chemspill, so is this bug
> just tracking taking NSPR 4.9 final for the next ESR?

You mean, next ESR as in the next scheduled update for ESR like 10.0.3?
Yes, I would suggest that.
Thanks


> Is 4.9 now present in FF11?

Brian is about to land it any minute now (into both beta 11 and aurora 12), as part of bug 713936.
Thanks to Brian.
Comment 5 Kai Engert (:kaie) (on vacation) 2012-02-17 15:18:57 PST
> > Is 4.9 now present in FF11?

Yes. Now it's done.
Comment 6 Daniel Veditz [:dveditz] 2012-02-22 10:20:52 PST
We need to take the NSS 3.13.3 update on ESR and should bump this at the same time. Whatever we do this is version Linux distros will be shipping with (they use system NSPR and NSS libraries). Better if we keep up.
Comment 7 Alex Keybl [:akeybl] 2012-02-22 12:49:37 PST
Tracking for ESR - this should land ASAP to bring us in line with FF11. Please see https://wiki.mozilla.org/Release_Management/ESR_Landing_Process for how to land on mozilla-esr10.
Comment 8 Wan-Teh Chang 2012-02-22 14:15:11 PST
Kai, could you land this on mozilla-esr10?  Thanks.
Comment 9 Kai Engert (:kaie) (on vacation) 2012-02-23 06:43:32 PST
https://hg.mozilla.org/releases/mozilla-esr10/rev/b449a2eee570

Note You need to log in before you can comment on or make changes to this bug.